import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { WeekDay } from '@angular/common';
import { Pane } from '../pane';
import { ZoomDirection } from '../util/zoom.animation';
import { ViewMode } from '../datepicker/view-mode';
import { ViewStrategy } from '../view-strategies/view-strategy';
export declare class ViewComponent implements OnChanges {
    readonly strategy: ViewStrategy;
    zoomDirection: ZoomDirection;
    initialTimestamp: number;
    currentTimestamp: number;
    selectedTimestamp: number;
    minTimestamp: number;
    maxTimestamp: number;
    deselectEnabled: boolean;
    headingFormat: string;
    firstWeekDay: WeekDay;
    weekDayLabels: string[];
    itemFormat: string;
    itemLabels: string[];
    readonly itemChange: EventEmitter<number>;
    readonly headerClick: EventEmitter<number>;
    readonly ViewMode: typeof ViewMode;
    panes: Array<Pane>;
    prevDisabled: boolean;
    nextDisabled: boolean;
    private visiblePaneIndex;
    private timestampFields;
    constructor(strategy: ViewStrategy);
    ngOnChanges(changes: SimpleChanges): void;
    trackContent(index: number): number;
    clickHeader(notPanning: boolean): void;
    selectItem(event: MouseEvent, pane: Pane, notPanning: boolean): void;
    switchPanes(direction: number): void;
    private initPanes(timestamp);
    private updateDisabledStatus(prevIndex, nextIndex);
}
